/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.context;

import java.util.Map;

/**
 * A context provides a standard way to access the context within
 * request and response are handled (e.g. the servlet context).
 *
 * @author Christian Bick
 * @since 07.12.11
 */
public interface Context {

    /**
     * Gets the initialization parameters of the context.
     *
     * @return The context initialization parameters
     */
    public Map<String, String> getInitParameters();
}
