/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.context.basic;

import net.craftforge.essential.context.Application;

/**
 * A basic implementation of an application.
 *
 * @author Christian Bick
 * @since 26.12.11
 */
public class BasicApplication implements Application {

    /**
     * {@inheritDoc}
     */
    public Object provideInstance(Class<?> clazz) {
        try {
            return clazz.newInstance();
        } catch (InstantiationException e) {
            throw new RuntimeException("The allocated resource class could not be" +
                    " instantiated: " + clazz, e.getCause());
        } catch (IllegalAccessException e) {
            throw new RuntimeException("The allocated resource class could not be" +
                    " instantiated: " + clazz, e);
        }
    }
}
