/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.controller;

/**
 * A step for performing a certain task of processing a request.
 *
 * @author Christian Bick
 * @since 17.01.2011
 */
public interface ControllerPhase {

    /**
     * Runs the phase using the given controller state.
     * 
     * @param state The controller phase
     * @throws ControllerException Failed to run phase
     */
    public abstract void run(ControllerState state) throws ControllerException;
}
