/*
 * This file is part of essential.
 *
 *     essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with essential.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.craftforge.essential.controller.injection;

import net.craftforge.essential.context.Request;

import javax.inject.Inject;
import javax.inject.Provider;
import java.io.ByteArrayInputStream;
import java.io.InputStream;

/**
 * @author Christian Bick
 * @since 02.12.11
 */
public class RequestBodyProvider implements Provider<InputStream> {

    private Request request;

    @Inject
    public RequestBodyProvider(Request request) {
        this.request = request;
    }

    public InputStream get() {
        InputStream inputStream = request.getBodyInputStream();
        if (inputStream == null) {
            inputStream = new ByteArrayInputStream(new byte[0]);
        }
        return inputStream;
    }
}
